<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for butchur.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
butchur - cut some procedures out of a SUIF file

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>butchur</B> [ <I>options</I> ] <B>-only</B> <I>procname</I> { , <I>procname</I> }* <I>infile</I>
<I>outfile</I>
<P>
<B>butchur</B> [ <I>options</I> ] <B>-all-but</B> <I>procname</I> { , <I>procname</I> }*
<I>infile</I> <I>outfile</I>

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>butchur</I> program cuts selected procedure and variable
definitions out of a SUIF file. With the <B>-only</B> option,
butcher includes only the specified definitions in the
output file. With the <B>-all-but</B> option, butcher includes
all except the specified definitions.
<P>
Note that it is legal to split definitions into different
files by running <I>butchur</I> multiple times, then eventually
link the definitions back together and run the program.
<I>butchur</I> makes sure the semantics are unchanged. Anything
in the file symbol table that would have to be shared is
automatically moved into the interfile global symbol
table.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>

<P>
<B>-keep-unused</B><BR>

This option causes all file and interfile global
symbol table object to be retained, regardless of
whether they are still referenced. The default is
to retain only those symbol table objects that are
needed by procedures that are written out or annotations
on global symbols tables or the file set
entry.

<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
